Skip to main content
`Ctrl`+`K`

# PCDeflationSetInitOnly

Do only initialization step. Sets initial guess to the solution on the deflation space but does not apply the deflation preconditioner. The additional preconditioner is still applied.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCDeflationSetInitOnly(PC pc, PetscBool flg)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- flg - default `PETSC_FALSE`

## Options Database Key

- -pc_deflation_init_only <false> - if true computes only the special guess

## See Also

KSP: Linear System Solvers, `PCDEFLATION`

## Level

intermediate

## Location

src/ksp/pc/impls/deflation/deflation.c

## Implementations

PCDeflationSetInitOnly_Deflation() in src/ksp/pc/impls/deflation/deflation.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages